Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 602579 - Building with revisor doesn't work
Building with revisor doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 04:47 EDT by Lars Bjorndal
Modified: 2011-06-27 13:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:56:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lars Bjorndal 2010-06-10 04:47:51 EDT
Description of problem:

The build process stops when the packages is about to be installed.

Version-Release number of selected component (if applicable):
2.2-1.fc13

How reproducible:
It happens every time.

Steps to Reproduce:
1. Use 'revisor --cli --debug 9 --model=f13-i386 --live-optical
   --kickstart <whatever kickstart file'

2. Whatch the output.
  
Actual results:

The process stops at the point where the packages is to being installed.
Expected results:
A working ISO file.

Additional info:

It seems that there is no generation of a file system large enough to
hold the packages/installation.

From the output, I pick the following:

Setting usb_size to '4G'
Setting number_of_packages to 0
...
Setting version_map to {'9': 'F9', '8': 'F8', '5': 'RHEL5', '7': 'F7', '10': 'F10'}
...
Reading configuration file /etc/revisor/revisor.conf
Setting model to f13-i386
Testing for configuration parameter usb_size
Testing for configuration parameter copy_local
Testing for configuration parameter include_bootiso
Testing for configuration parameter getdebuginfo
...
Not setting media_live_raw to False (command line matches default)
No check_setting_media_live_optical()
Setting media_live_optical to True (from command line)
Not setting kickstart_save to '' (command line matches default)
Not setting iso_label to 'Fedora' (command line matches default)
...
looking for ('rtld(GNU_HASH)', None, (None, None, None)) as a requirement of libXau.i686 0:1.0.5-1.fc12 - u
Resolving Dependencies:                                                            Resolving Dependencies:          ######################################## 100.0% Dependency Process ending
Depsolve time: 14.112
Successfully built transaction: ret 2, msg Success - deps resolved
Resolving Dependencies:                                                            Resolving Dependencies:          ######################################## 100.0% 
Initting progress bar for Populating statistics
Populating statistics:                                                             Populating statistics:                                                      0.0% Populating statistics:                                                             Populating statistics:           ######################################## 100.0% Total size of all packages (archivesize): 582 MB
Total size of all packages, (installedsize): 597 MB
Total size of all packages, (packagesize): 184 MB
Populating statistics:                                                             Populating statistics:           ######################################## 100.0% 
Initting progress bar for Downloading Packages
Downloading Packages:                                                              Downloading Packages:                                                       0.0% Using local copy of psmisc-22.6-13.fc12.i686 at /var/tmp/revisor-yumcache/fedora/packages/psmisc-22.6-13.fc12.i686.rpm
Downloading Packages:                                                              Downloading Packages:                                                       0.2% Using local copy of libss-1.41.10-6.fc13.i686 at /var/tmp/revisor-yumcache/fedora/packages/libss-1.41.10-6.fc13.i686.rpm
...
Member: libusb1.i686 0:1.0.6-2.fc13 - u
Adding Package libusb1-1.0.6-2.fc13.i686 in mode u
Member: clamav-data.noarch 0:0.95.3-1301.fc13 - u
Adding Package clamav-data-0.95.3-1301.fc13.noarch in mode u
Member: perl-libs.i686 4:5.10.1-112.fc13 - u
Adding Package 4:perl-libs-5.10.1-112.fc13.i686 in mode u
Exception <class 'sqlite3.OperationalError'>: unable to open database file
Installing Software:                                                               Installing Software:             ######################################## 100.0% 
An additional error in the error. The value of errs is: unable to open database file
An error occurred during the installation of the software you selected, and an additional error occurred trying to describe what went wrong exactly.
Unmounting directory /var/tmp/revisor
Losetup remove /dev/loop0

Although if setting --clean-up to 0, I cannot find the revisor's rundir
under /var/tmp after the termination.
Comment 1 Vic 2010-07-09 10:36:36 EDT
This is a duplicate of bug 582087
Comment 2 Bug Zapper 2011-06-02 07:21:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 13:56:05 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.